# MS-Connector v1.3.6 Release vom 20.12.2022

Der MS-Connector implementiert eine Bridge zwischen dem österreichischen E-ID System und dem eIDAS Framework um ausländischen Benutzern eine Anmeldung am österreichischen Service-Providern zu ermöglichen.

### Änderungen in dieser Version

  - SAML2 AuthnRequests ohne NameIdPolicy, da dieser Parameter aktuell vom IDA Shibboleth IDP nicht unterstützt wird
  - Angepasstes Verhalten im Umgang mit beendeten Personen aus dem ERnP
        - Beendete Personen werden als Matching Ergebnis ignoriert und gefiltert
        - Deaktivierung der Option zur Erstellung eines neuen ERnP Eintrags falls die Person bereits über einen beendeten ERnP Eintrag verfügt
  - Bugfix
        - Optimierung der Verarbeitung von ERnP Ergebnissen im Falle von mehreren Identitäten in der Response und Anforderung an eindeutige Treffer
  - Aktualisierung von Drittherstellerbibliotheken
        - EAAF-Components 1.3.11
        - jackson-databind 2.14.1
        - joda-time 2.12.1


### Durchführen eines Updates 

Nachfolgend finden Sie die erforderlichen Schritte für das Update eines bestehenden MS-specific eIDAS Connectors auf die aktuelle Version 1.3.6. Das vollständige Handbuch mit allen Konfigurationsparametern finden Sie im Releasepackage im Verzeichnis: _infos/handbook/_

### Ausgehend von einer bestehenden Version 1.3.5 

1. Stoppen Sie die *MS-Connector* Applikation und fertigen Sie eine Sicherungskopie Ihrer Applikation inklusive Konfiguration an

2. Entpacken Sie das Releasepacket *ms_specific_connector-1.3.6-dist.zip* in ein temporäres Verzeichnis welches in weiterer Folge __MsConnectorPackage__ bezeichnet wird.

3. Kopieren sie die Applikation __MsConnectorPackage__/ms_connector.war nach in das Applikationsverzeichnis ihres Applikationsservers

5. Update bestehender Dateien . Die nachfolgenden Dateien wurden geändert und erfordern eine Anpassung oder eine Übernahme dem Releasepacket, sofern die Anpassung nicht bereits durchgeführt wurde

   * Vollständige Übernahme: __MsConnectorPackage__/config/templates/other_login_method.html
   * Vollständige Übernahme: __MsConnectorPackage__/config/properties/messages.properties
   * Vollständige Übernahme: __MsConnectorPackage__/config/properties/messages_de.properties

6. Deaktivierung des alten AuthBlock Format für das IDA System

   - ```eidas.ms.auth.eIDAS.authblock.use.legacy.version=false```
   
   
   
   
   
   
   
   


